V6.0

get

/ec-designer-svc/rest/v6.0/studies/{studyId}/versions/{version}/studyversionobjects/iprDetails

Retrieves additional investigational product randomization (IPR) details for a study version.

Request

Path Parameters
Query Parameters
  • Study mode used to fetch IPR details. Optional. Allowed values: test, training, active, design.
    Default Value: test
    Example:
    test

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

Successful operation.
Body ()
Root Schema : DataHubIprDetailsDto
Type: object
Show Source
Nested Schema : forms
Type: array
Show Source
Nested Schema : DataHubIprFormDto
Type: object
Show Source
Nested Schema : codeListItems
Type: array
Show Source
Nested Schema : codeLists
Type: array
Show Source
Nested Schema : extendedProperties
Type: array
Show Source
Nested Schema : DatahubDataViewsDto
Type: object
Show Source
Nested Schema : DataHubObjectVersionsDto
Type: object
Show Source
Nested Schema : items
Type: array
Show Source
Nested Schema : stringResources
Type: array
Show Source
Nested Schema : studyEventForms
Type: array
Show Source
Nested Schema : studyVersions
Type: array
Show Source
Nested Schema : DatahubCodeListItemsDto
Type: object
Show Source
Nested Schema : DatahubCodeListsDto
Type: object
Show Source
Nested Schema : DatahubExtendedPropertiesDto
Type: object
Show Source
Nested Schema : DatahubFormItemsDto
Type: object
Show Source
Nested Schema : ehrMapping
Type: array
Show Source
Nested Schema : From Item Advanced Property v9.0
Type: object
Title: From Item Advanced Property v9.0
Form Item Advanced Property
Show Source
Nested Schema : rules
Type: array
Show Source
Nested Schema : From Item Advanced Property Rule v9.0
Type: object
Title: From Item Advanced Property Rule v9.0
Form Item Advanced Property Rule
Show Source
  • For RolloverQuestion property it is an ECDV_CODELISTITEM.VALUE
    Example: Yes
  • name
    Example: RolloverQuestionAnswer
  • For RolloverQuestion property it is an ECDV_CODELISTITEM.CODELISTITEM_ID
    Example: B1B8327AFAA6412287106192AB5984EF
Nested Schema : DatahubStringResourcesDto
Type: object
Show Source
Nested Schema : DatahubStudyeventFormDto
Type: object
Show Source
Examples

500 Response

Returned when the request cannot be completed due to validation failure, authorization failure, or an unexpected server-side condition.
Body ()
Root Schema : ErrorResponseData
Type: object
Title: ErrorResponseData
Error Response Details Information
Show Source
  • Object
    Title: Object
    Object with error details information.
  • Error code which is stored in ErrorCode enum. Example : C1-003
    Example: C1-003
  • Error message which is stored in service property file. Example : Cannot modify object after a study version has been approved
    Example: Cannot modify object after a study version has been approved
Nested Schema : Object
Type: object
Title: Object
Object with error details information.
Example:
{
    "field":"studyId",
    "reason":"Invalid value"
}
Back to Top